# Delete Template

Delete a custom template. System templates cannot be deleted.
If the template is set as the active template in the merchant's configuration,
the response uses responseCode E409 in the NPS error envelope.

Endpoint: DELETE /templates/{templateId}
Version: 1.0.0
Security: OAuth2

## Security:

  - `OAuth2` (unknown)
    oauth2

## Path parameters:

  - `templateId` (string, required)
    Template identifier

## Query parameters:

  - `entityId` (integer, required)
    Merchant/tenant identifier for tenant isolation

## Response 200:

  - `200` (unknown)
    Template deleted successfully

## Response 200 fields (application/json):

  - `responseCode` (string, required)
    Example: A100

  - `responseMessage` (string, required)
    Example: Approved

  - `responseDetails` (null, required)

  - `object` (object, required)

  - `object.templateId` (string, required)
    Identifier of the deleted template

  - `object.deleted` (boolean, required)
    Example: true

